body,
header {
  max-width: 2000px;
  margin: auto;
  overflow-x: hidden;
}

section {
  padding: 2rem 16rem;
}

section > h1 {
  margin: 3rem 0;
}

p,
ul,
h1 {
  line-height: 1.5;
}

.stop-scrolling {
  height: 100%;
  overflow: hidden;
}

#site-header {
  position: sticky;
  background-color: var(--c-primary-color);
  padding: 1rem 10rem;
  top: 0;
  /* left: 0; */
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  width: 100%;
  box-sizing: border-box;
  z-index: 100;
  transition: all 0.8s ease;
  align-items: center;
}

#site-header img {
  height: 1.1rem;
}

a {
  cursor: none;
}

*[disabled] {
  pointer-events: none;
  opacity: 0.5;
}

*[screen="mobile"] {
  display: none;
}

*[screen="desktop"] {
  display: block;
}

@media (hover: none) {
  .cursor {
    display: none;
  }
}

/* hide cursor on touch devices */
@media (pointer: coarse) {
  .cursor {
    display: none;
  }
}

#site-header.hide {
  top: -20%;
}

#landing {
  padding: 0rem 10rem;
  height: 80vh;
  background-color: var(--c-primary-color);
  margin-bottom: 2rem;
}

#landing .grid-wrapper {
  height: 100%;
}

#landing p {
  width: 75%;
}

.selectors {
  display: flex;
  flex-direction: row;
  gap: 1rem;
  align-items: center;
  justify-content: center;
}

.selectors span {
  width: 10px;
  height: 10px;
  border-radius: 50%;
  border: 2px solid var(--c-accent-color);
  background-color: var(--c-primary-color);
  transition: all 0.3s ease-in-out;
}

.selectors span[active="true"] {
  background-color: var(--c-accent-color);
}

#testimonials .selectors {
  margin-bottom: 1rem;
  margin-right: 1rem;
  justify-content: end;
}

.ft-heading-1,
.ft-heading-2 {
  margin-bottom: 2rem;
}

#side-text {
  position: fixed;
  top: 50%;
  transform: rotate(180deg) translateY(50%) translateX(-2rem);
  writing-mode: vertical-lr;
  letter-spacing: 0.3rem;
  z-index: -1;
}

.bg-blue {
  background-color: var(--c-accent-color);
  color: var(--c-primary-color);
}

.btn {
  display: block;
  width: fit-content;
  background-color: var(--c-accent-color);
  color: var(--c-primary-color);
  border-radius: 2rem;
  padding: 0.6rem 1.6rem;
  text-decoration: none;
  cursor: none;
  transition: all 0.3s ease;
  margin-top: 4rem;
  font-weight: 700;
}

#site-header .navbar {
  display: flex;
  flex-direction: row;
  gap: 1rem;
  /* vertical align center */
  align-items: center;
}

#site-header .navbar ul {
  display: flex;
  flex-direction: row;
  gap: 4rem;
  /* vertical align center */
  align-items: center;
}

#site-header .navbar ul .header-grid {
  display: grid;
  gap: 1rem;
  grid-template-columns: repeat(2, 1fr);
}

#site-header .navbar ul img {
  height: 1em;
  width: 1em;
}

#site-header .navbar a {
  list-style: none;
  text-decoration: none;
  color: var(--c-accent-color);
}

/* header .navbar a::after {
    content: "";
    display: block;
    width: 0%;
    height: 2px;
    background-color: var(--c-accent-color);
    transition: all 0.3s ease;
}

header .navbar a:hover::after {
    width: 100%;
}

footer a:focus::after {
    width: 0%;
} */

.side-wrapper {
  display: flex;
  flex-direction: row;
  align-items: center;
}

.grid-wrapper {
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  align-items: center;
  gap: 4rem;
}

.grid-wrapper > * {
  width: 100%;
}

.flex-wrapper {
  display: flex;
  justify-content: space-evenly;
  gap: 2rem;
  align-items: center;
}

.flex-container {
  /* height: 446px;
    width: 339px; */
  display: flex;
  flex-direction: column;
  justify-content: space-evenly;
  align-items: center;
  text-align: center;
  padding: 01rem;
  border-radius: 1rem;
  gap: 1rem;
}

#about {
  position: relative;
}

#about::before {
  content: "";
  display: block;
  width: 100%;
  height: 100%;
  /* background-color: var(--c-accent-color); */
  background-image: url(../img/arrow_horizontal.svg);
  background-repeat: no-repeat;
  background-position: right center;
  background-size: 150%;
  z-index: -2;
  position: absolute;
  top: 0;
  left: -100px;
}

@media (hover: none) {
  #about::before {
    display: none;
  }
}

#about .flex-container {
  width: 300px;
  aspect-ratio: 3 / 4;
}

#about .flex-container,
#about .flex-container img {
  transition: all 0.3s ease-in-out;
}

#about .flex-container:hover {
  transform: scale(1.05);
}

#about .flex-container:hover img {
  transform: rotate(10deg);
}

.flex-container img {
  height: 90px;
  width: 90px;
  object-fit: contain;
}

#advantages ul {
  list-style: unset;
  list-style-position: inside;
  color: var(--c-accent-color);
}

#video video {
  width: 100%;
}

.collapsible {
  background-color: var(--c-accent-color);
  color: var(--c-primary-color);
  cursor: none;
  padding: 1rem;
  width: 100%;
  border: none;
  text-align: left;
  /* outline: none; */
  box-sizing: border-box;
  transition: height 0.3s ease-in-out;
}

.collapsible > * {
  transition: all 0.3s ease-in-out;
}

.collapsible:focus-visible {
  border: 2px solid #000;
  border-radius: 8px;
}

/* .collapsible:focus {
    outline: 2px solid #000;
} */

/* .active, .collapsible:hover {
    background-color: var(--c-light-accent);
} */

.active > span {
  transform: rotate(180deg);
}

.content {
  box-sizing: border-box;
  max-height: 0px;
  overflow: hidden;
  transition: all 0.3s ease-in-out;
}

.content > p {
  padding: 1rem;
}

.faq {
  align-items: start;
  gap: 1rem;
}

.faq > .grid-container {
  display: flex;
  flex-direction: column;
  gap: 1rem;
}

.faq > .grid-container button {
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  font-weight: 600;
}

.faq > .grid-container > div {
  border-radius: 8px;
  overflow: hidden;
}

.faq > .grid-container > div:has(div:hover) span {
  opacity: 0;
}

.testimonial-container {
  border-radius: 8px;
  display: flex;
  flex-direction: row;
  align-items: center;
  padding: 2rem 1rem;
}

.testimonial {
  padding: 1rem;
  display: grid;
  gap: 3rem;
  border-radius: 8px;
  overflow: hidden;
}

.testimonial > img {
  align-content: end;
  justify-self: end;
}

@keyframes left-right {
  50% {
    transform: translateX(-50%);
    opacity: 0;
  }
}

@keyframes move {
  0% {
    transform: translateX(0);
  }
  100% {
    transform: translateX(calc(-100% - 2rem));
  }
}

.testimonial-content {
  font-style: italic;
}

.testimonial-content > div {
  text-align: end;
  font-style: normal;
}

.testimonial-content > div :first-child {
  font-weight: 600;
}

.testimonial-wrapper {
  overflow-x: scroll;
  scroll-snap-type: x mandatory;
  display: flex;
  align-items: center;
  gap: 5rem;
}

.testimonial-wrapper::-webkit-scrollbar {
  display: none;
}

.testimonial-wrapper {
  -ms-overflow-style: none; /* IE and Edge */
  scrollbar-width: none; /* Firefox */
}

.testimonial-content {
  scroll-snap-align: start;
  flex: 0 0 100%;
  display: grid;
  gap: 3rem;
}

.testimonial-content > div {
  justify-self: end;
}

form {
  width: 500px;
  margin: auto;
  display: flex;
  flex-direction: column;
  max-width: 100%;
}

form fieldset {
  display: flex;
  flex-direction: column;
  gap: 1.5rem;
  box-sizing: border-box;
  margin-top: 3rem;
}

form > p {
  font-size: 1rem;
}

form label {
  cursor: none;
}

.floating-label-group {
  position: relative;
}

form .flex-sideways {
  display: flex;
  flex-direction: row;
  gap: 0.5rem;
  align-items: start;
  justify-content: start;
}

form .flex-sideways > input {
  flex: 0 0 1rem;
}

form .notice {
  margin-top: 1rem;
}

form input[type="text"],
form input[type="email"],
form input[type="tel"],
form textarea {
  width: 100%;
  border: 2px solid var(--c-accent-color);
  border-radius: 8px;
  padding: 1rem;
  /* color: var(--c-accent-color); */
  cursor: none;
  box-sizing: border-box;
  transition: all 0.2s ease-in-out;
  resize: none;
}

form input:focus,
form textarea:focus,
form input::-moz-focus-inner,
form textarea::-moz-focus-inner {
  border: 2px solid var(--c-secondary-color);
}

.floating-label-group label {
  position: absolute;
  top: 1.2rem;
  left: 1rem;
  color: var(--c-accent-color);
  transition: all 0.2s ease-in-out;
}

form textarea + label {
  position: absolute;
  top: 1.2rem;
  left: 1rem;
  color: var(--c-accent-color);
  transition: all 0.2s ease-in-out;
}

form .floating-label-group:has(input:focus) label,
form .floating-label-group:has(textarea:focus) label,
form .floating-label-group:has(input:not(:placeholder-shown)) label,
form .floating-label-group:has(textarea:not(:placeholder-shown)) label {
  transform-origin: left;
  transform: translateY(-2.5rem) scale(0.8);
  left: 0rem;
  color: var(--c-primary-color);
}

@supports ( -moz-appearance:none ){
  form .floating-label-group label {
    transform-origin: left;
    transform: translateY(-2.5rem) scale(0.8);
    left: 0rem;
    color: var(--c-primary-color);
  }
}

form input[type="radio"],
form input[type="checkbox"] {
  position: relative;
  color: #fff;
  width: 1rem;
  height: 1rem;
  opacity: 1;
  transition: all 0.2s ease-in-out;
  cursor: none;
}

form input[type="radio"]:not(:checked) + label {
  opacity: 1;
}

form input[type="radio"]:checked + label {
  /* color: var(--c-accent-color); */
  opacity: 1;
}

form input[type="radio"] + label {
  position: relative;
}

/* form input[type="radio"] + label::after {
    content: "";
    position: absolute;
    left: 0;
    bottom: -4px;
    width: 0%;
    height: 2px;
    background-color: #fff;
    transition: all 0.2s ease-in-out;
} */

form input[type="radio"]:checked + label {
  /* width: 100%; */
  font-weight: 700;
}

input[type="radio"]:focus,
input[type="checkbox"]:focus,
input[type="submit"]:focus {
  outline: auto;
}

form input[type="submit"] {
  width: fit-content;
  margin-left: auto;
  margin-top: 1rem;
  background-color: var(--c-primary-color);
  border: none;
  color: var(--c-accent-color);
}

#form-verkaufstyp {
  margin-top: 1rem;
}

::placeholder {
  /* Chrome, Firefox, Opera, Safari 10.1+ */
  color: var(--c-accent-color);
  opacity: 1; /* Firefox */
}

:-ms-input-placeholder {
  /* Internet Explorer 10-11 */
  color: var(--c-accent-color);
}

::-ms-input-placeholder {
  /* Microsoft Edge */
  color: var(--c-accent-color);
}

form .sideways {
  display: grid;
  grid-template-columns: repeat(4, auto);
  justify-content: space-between;
  gap: 1rem;
  width: 100%;
}

form .dp-block {
  display: block;
}

form legend {
  margin-bottom: 2rem;
}

form > img {
  align-self: center;
  margin: 2rem 0 0 0;
}

form .sideways-grid {
  display: grid;
  grid-template-columns: 0.3fr 0.7fr;
  gap: 1rem;
}

#offer {
  padding-bottom: 10rem;
  margin-top: 4rem;
}

#offer > p {
  width: 50%;
}

.container {
  min-height: 20rem;
}

.container h1 span.txt-cursor {
  display: inline-block;
  background-color: black;
  margin-left: 0.2rem;
  width: 10px;
  animation: blink 1s infinite;
}

.container h1 span.txt-cursor.typing {
  animation: none;
}

.overlay-wrapper {
  position: relative;
}

.overlay {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
}

.logo {
  height: 1.2rem;
}

#contact {
  height: 80vh;
}

#contact a {
  color: var(--c-primary-color);
}

#video-src {
  border: 2px solid var(--c-secondary-color);
  border-radius: 8px;
}

.yami-logo {
  height: 1.5em;
}

.landing-img[screen="mobile"] {
  margin: 1rem 0;
}

@keyframes blink {
  0% {
    background-color: black;
  }
  49% {
    background-color: black;
  }
  50% {
    background-color: transparent;
  }
  99% {
    background-color: transparent;
  }
  100% {
    background-color: black;
  }
}

@media screen and (max-width: 1400px) {
  section,
  #landing {
    padding: 3rem 10rem;
    height: auto;
  }

  .container {
    min-height: 17rem;
  }
}

@media screen and (max-width: 1000px) {
  section,
  #landing {
    padding: 4rem 5rem;
    height: auto;
  }

  /* .container {
        min-height: 22.5rem;
    } */
}

@media screen and (max-width: 800px) {
  .grid-wrapper {
    grid-template-columns: 1fr;
    gap: 2rem;
  }

  .grid-wrapper > * {
    min-width: 0;
  }

  section,
  #landing {
    padding: 1rem;
    height: auto;
  }

  *[screen="mobile"] {
    display: block;
    width: 100%;
  }

  #site-header,
  *[screen="desktop"] {
    display: none;
  }

  #landing p {
    width: 100%;
  }

  #landing a {
    display: none;
  }

  body {
    overflow-x: hidden;
  }

  .flex-wrapper {
    flex-direction: column;
    gap: 2rem;
  }
  .selectors {
    margin-top: 2rem;
  }

  #about .flex-container {
    width: 70%;
    margin: auto;
  }

  #about {
    margin-bottom: 1rem;
  }

  .ft-heading-1,
  .ft-heading-2 {
    margin-bottom: 2rem;
  }

  #mobile-header {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    padding: 1rem;
    box-sizing: border-box;
    margin-bottom: 3rem;
  }

  #mobile-header img {
    height: 2rem;
  }

  #landing img {
    margin: 2rem 0;
  }

  #advantages .grid-wrapper {
    display: flex;
    flex-direction: column-reverse;
  }

  #offer > p {
    width: 100%;
  }

  form .sideways {
    grid-template-columns: repeat(2, 1fr);
  }

  .container {
    min-height: 10rem;
  }

  #offer {
    padding-bottom: 6rem;
  }

  .faq {
    gap: 1rem;
  }
}

input[type="radio"],
input[type="checkbox"] {
  accent-color: #000000;
}
